# Get current weather | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Get current weather

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /modules/weatherapi/current

## Operation

Operation ID: `weatherApiCurrent`

Get current weather data from WeatherAPI for a location query

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
q | query | yes | string | Location query (e.g. city, postal code, or latitude,longitude)

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Current weather retrieved successfully | application/json

Schema for response `200` (`application/json`):

{ "$ref": "#/components/schemas/WeatherApiObjectResponse" }
17 March 2026